package com.iformall.domain.po;

import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;
import java.util.Map;

@Table(name = "wx_msg_record")
public class WxMsgRecord extends BaseMsg {
	private static final long serialVersionUID = 18957895653478L;

	@Id
    protected Long id;
	//租户id
	private String tenantId;
	//域1sys 2a端 3c端 4b端
	private Integer domain;
	//msg 消息类型1短信 2回调短信 邮件 3微信小程序模板 4微信公众号模板 5系统通
	private String msg;
	//发送时间
	private String sendTime;
	//model_id
	private Long modelId;
	//from,手机号邮件地址等
	private String sender;
	//发送人id
	private Long senderUserId;
	//发送人姓名
	private String senderUserName;
	//接收人,手机号邮件地址等
	private String receiver;
	//接收人用户id
	private Long receiverUserId;
	//接收人姓名
	private String receiverUserName;
	//签名
	private String signature;
	//模板类型
	private Integer modelType;
	//消息json
	private String msgJson;

	private Date createtime;
	private Date updatetime;

	//动态替换内容
	private Map<String,String> dynamicContentMap;


	public String getMsgJson() {
		return msgJson;
	}

	public void setMsgJson(String msgJson) {
		this.msgJson = msgJson;
	}

	public Map<String, String> getDynamicContentMap() {
		return dynamicContentMap;
	}


	public void setDynamicContentMap(Map<String, String> dynamicContentMap) {
		this.dynamicContentMap = dynamicContentMap;
	}


	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Integer getDomain() {
		return domain;
	}

	public void setDomain(Integer domain) {
		this.domain = domain;
	}

	public String getSender() {
		return sender;
	}

	public void setSender(String sender) {
		this.sender = sender;
	}

	public Long getSenderUserId() {
		return senderUserId;
	}

	public void setSenderUserId(Long senderUserId) {
		this.senderUserId = senderUserId;
	}

	public String getSenderUserName() {
		return senderUserName;
	}

	public void setSenderUserName(String senderUserName) {
		this.senderUserName = senderUserName;
	}

	public String getReceiver() {
		return receiver;
	}

	public void setReceiver(String receiver) {
		this.receiver = receiver;
	}

	public Long getReceiverUserId() {
		return receiverUserId;
	}

	public void setReceiverUserId(Long receiverUserId) {
		this.receiverUserId = receiverUserId;
	}

	public String getReceiverUserName() {
		return receiverUserName;
	}

	public void setReceiverUserName(String receiverUserName) {
		this.receiverUserName = receiverUserName;
	}

	public Integer getModelType() {
		return modelType;
	}

	public void setModelType(Integer modelType) {
		this.modelType = modelType;
	}

	public String getSignature() {
		return signature;
	}

	public void setSignature(String signature) {
		this.signature = signature;
	}


	public String getTenantId() {
		return tenantId;
	}

	public void setTenantId(String tenantId) {
		this.tenantId = tenantId;
	}


	public String getMsg() {
		return msg;
	}

	public void setMsg(String msg) {
		this.msg = msg;
	}

	public String getSendTime() {
		return sendTime;
	}

	public void setSendTime(String sendTime) {
		this.sendTime = sendTime;
	}

	public Long getModelId() {
		return modelId;
	}

	public void setModelId(Long modelId) {
		this.modelId = modelId;
	}

	public Date getCreatetime() {
		return createtime;
	}

	public void setCreatetime(Date createtime) {
		this.createtime = createtime;
	}

	public Date getUpdatetime() {
		return updatetime;
	}

	public void setUpdatetime(Date updatetime) {
		this.updatetime = updatetime;
	}


}
